import { AfterContentInit, OnInit, OnDestroy, Renderer2 } from '@angular/core';
import { NgForm } from '@angular/forms';
import { Locale, LocaleProvider } from '@js-sugar/angular';
import * as i0 from "@angular/core";
export declare class FormFieldComponent implements OnInit, AfterContentInit, OnDestroy {
    private _form;
    private _localSpecifier;
    private _renderer;
    label?: string;
    hint?: string;
    showErrors: boolean;
    showRequiredMarker: boolean;
    private _ngControl;
    private _ngControlElement;
    private _isRequired;
    private _subscription?;
    private _firstError?;
    private _locale?;
    get firstError(): {
        key: string;
        text?: string | undefined;
    } | undefined;
    get isRequired(): boolean;
    get touched(): boolean;
    get dirty(): boolean;
    constructor(_form: NgForm, _localSpecifier: Locale | LocaleProvider, _renderer: Renderer2);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    private _onStatusChange;
    private _isRequiredField;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldComponent, [{ optional: true; }, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormFieldComponent, "jss-form-field, jss-field", ["uisFormField"], { "label": "label"; "hint": "hint"; "showErrors": "showErrors"; "showRequiredMarker": "showRequiredMarker"; }, {}, ["_ngControl", "_ngControlElement"], ["*"], false>;
}
