import { QueryList, EventEmitter, ElementRef, Renderer2, OnInit } from '@angular/core';
import { TabDirective } from './tab.directive';
import { TabAppearance, TabSelectEvent } from './types';
import * as i0 from "@angular/core";
export declare class TabsComponent implements OnInit {
    private _element;
    private _renderer;
    tabs: QueryList<TabDirective>;
    selectedIndex: number;
    disabled: boolean;
    fade: boolean;
    appearance: TabAppearance;
    vertical: boolean;
    contentCssClass?: string;
    tabSelect: EventEmitter<TabSelectEvent>;
    constructor(_element: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
    _onTabClick(tab: TabDirective, index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "jss-tabs", ["jssTabs"], { "selectedIndex": "selectedIndex"; "disabled": "disabled"; "fade": "fade"; "appearance": "appearance"; "vertical": "vertical"; "contentCssClass": "contentCssClass"; }, { "tabSelect": "tabSelect"; }, ["tabs"], never, false>;
}
